Subject: RE: bug#11378: 24.1.50; Suggestion: Let M-i in isearch cycle `search-invisible'

From: Drew Adams <[email-masked]>
Date: Tue, 28 May 2013 15:45:24 -0700 (PDT)

> > I'll submit a new patch soon that adds a new variable
> > `isearch-search-invisible' (or maybe just `isearch-invisible')
> > to toggle its value without changing the value of the user option
> > `search-invisible'.
> 
> Here is a patch that adds `isearch-toggle-invisible' that
> toggles `isearch-invisible' between nil and a non-nil default value
> of `search-invisible', i.e.
> 
> if search-invisible is `open' then toggles isearch-invisible
> between `open' and `nil'
> 
> if search-invisible is `t' then toggles isearch-invisible
> between `t' and `nil'
> 
> if search-invisible is `nil' then toggles isearch-invisible
> between `nil' and `open'

This is similar to what I've been doing in isearch+.el for several
years now.  Glad it will be added to Emacs.

A major difference is that my code does not hesitate to use the
command to toggle the user option value.  I realize you consider
that a no-no.  I think that commands to toggle user options are
often a plus, not a minus.  (Think minor-mode variables, if that helps.
Or think of toggling an option via the options menu.)

isearch+.el is here, FWIW:
http://www.emacswiki.org/emacs-en/download/isearch%2b.el